Ejemplo n.º 1
0
        public DwgObject(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point insertionPoint, Dynamic.Tekla.Structures.Drawing.Size frameSize, System.String fileName)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(insertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Drawing.Size_.GetTSObject(frameSize);
            args[3]          = fileName;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.DwgObject", args);
        }
        public static System.Boolean AreEqual(
            Dynamic.Tekla.Structures.Geometry3d.Point Point1_,
            Dynamic.Tekla.Structures.Geometry3d.Point Point2_)
        {
            var Point1 = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point1_);
            var Point2 = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point2_);
            var result = (System.Boolean)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Point", "AreEqual", Point1, Point2);

            return(result);
        }
Ejemplo n.º 3
0
        public DetailMark(Dynamic.Tekla.Structures.Drawing.View view, Dynamic.Tekla.Structures.Geometry3d.Point centerPoint, Dynamic.Tekla.Structures.Geometry3d.Point boundaryPoint, Dynamic.Tekla.Structures.Geometry3d.Point labelPoint)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.View_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(centerPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(boundaryPoint);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(labelPoint);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.DetailMark", args);
        }
        public Circle(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point centerPoint, System.Double radius, Dynamic.Tekla.Structures.Drawing.Circle.CircleAttributes attributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(centerPoint);
            args[2]          = radius;
            args[3]          = Dynamic.Tekla.Structures.Drawing.Circle.CircleAttributes_.GetTSObject(attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Circle", args);
        }
Ejemplo n.º 5
0
        public static System.Double PointToPlane(
            Dynamic.Tekla.Structures.Geometry3d.Point Point_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_)
        {
            var Point  = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point_);
            var Plane  = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result = (System.Double)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Distance", "PointToPlane", Point, Plane);

            return(result);
        }
Ejemplo n.º 6
0
        public static System.Double PointToLineSegment(
            Dynamic.Tekla.Structures.Geometry3d.Point Point_,
            Dynamic.Tekla.Structures.Geometry3d.LineSegment LineSegment_)
        {
            var Point       = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point_);
            var LineSegment = Dynamic.Tekla.Structures.Geometry3d.LineSegment_.GetTSObject(LineSegment_);
            var result      = (System.Double)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Distance", "PointToLineSegment", Point, LineSegment);

            return(result);
        }
Ejemplo n.º 7
0
        public LevelMark(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Geometry3d.Point BasePoint, Dynamic.Tekla.Structures.Drawing.ModelObject modelObject)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(BasePoint);
            args[3]          = Dynamic.Tekla.Structures.Drawing.ModelObject_.GetTSObject(modelObject);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.LevelMark", args);
        }
        public Rectangle(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point startPoint, System.Double width, System.Double height)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[2]          = width;
            args[3]          = height;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Rectangle", args);
        }
Ejemplo n.º 9
0
        public SectionMark(Dynamic.Tekla.Structures.Drawing.View view, Dynamic.Tekla.Structures.Geometry3d.Point leftPoint, Dynamic.Tekla.Structures.Geometry3d.Point rightPoint, Dynamic.Tekla.Structures.Drawing.SectionMarkBase.SectionMarkAttributes sectionMarkAttributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.View_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(leftPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(rightPoint);
            args[3]          = Dynamic.Tekla.Structures.Drawing.SectionMarkBase.SectionMarkAttributes_.GetTSObject(sectionMarkAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.SectionMark", args);
        }
Ejemplo n.º 10
0
        public Arc(Dynamic.Tekla.Structures.Drawing.ViewBase inView, Dynamic.Tekla.Structures.Geometry3d.Point inPoint1, Dynamic.Tekla.Structures.Geometry3d.Point inPoint2, Dynamic.Tekla.Structures.Geometry3d.Point inPoint3)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(inView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint1);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint2);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint3);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Arc", args);
        }
Ejemplo n.º 11
0
        public Symbol(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Drawing.SymbolInfo SymbolInfo, Dynamic.Tekla.Structures.Drawing.Symbol.SymbolAttributes Attributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Drawing.SymbolInfo_.GetTSObject(SymbolInfo);
            args[3]          = Dynamic.Tekla.Structures.Drawing.Symbol.SymbolAttributes_.GetTSObject(Attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Symbol", args);
        }
Ejemplo n.º 12
0
        public DrawingLink(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Drawing.Drawing Target, System.String Text)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Drawing.Drawing_.GetTSObject(Target);
            args[3]          = Text;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.DrawingLink", args);
        }
Ejemplo n.º 13
0
        public Text(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point insertionPoint, System.String Text, Dynamic.Tekla.Structures.Drawing.Text.TextAttributes inAttributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(insertionPoint);
            args[2]          = Text;
            args[3]          = Dynamic.Tekla.Structures.Drawing.Text.TextAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Text", args);
        }
Ejemplo n.º 14
0
        public static System.Double PointToPoint(
            Dynamic.Tekla.Structures.Geometry3d.Point Point1_,
            Dynamic.Tekla.Structures.Geometry3d.Point Point2_)
        {
            var Point1 = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point1_);
            var Point2 = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point2_);
            var result = (System.Double)MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Distance", "PointToPoint", Point1, Point2);

            return(result);
        }
        public SpiralBeam(Dynamic.Tekla.Structures.Geometry3d.Point startPoint, Dynamic.Tekla.Structures.Geometry3d.Point rotationAxisPoint, System.Double totalRise, System.Double rotationAngle)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(rotationAxisPoint);
            args[2]          = totalRise;
            args[3]          = rotationAngle;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Model.SpiralBeam", args);
        }
Ejemplo n.º 16
0
        public DwgObject(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point insertionPoint, System.String fileName, Dynamic.Tekla.Structures.Drawing.EmbeddedObjectAttributes attributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(insertionPoint);
            args[2]          = fileName;
            args[3]          = Dynamic.Tekla.Structures.Drawing.EmbeddedObjectAttributes_.GetTSObject(attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.DwgObject", args);
        }
Ejemplo n.º 17
0
        public Arc(Dynamic.Tekla.Structures.Geometry3d.Point centerPoint, Dynamic.Tekla.Structures.Geometry3d.Point startPoint, Dynamic.Tekla.Structures.Geometry3d.Vector normal, System.Double deltaAngleRadians)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(centerPoint);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(normal);
            args[3]          = deltaAngleRadians;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Geometry3d.Arc", args);
        }
        public Rectangle(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point startPoint, Dynamic.Tekla.Structures.Geometry3d.Point endPoint, Dynamic.Tekla.Structures.Drawing.Rectangle.RectangleAttributes attributes)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(endPoint);
            args[3]          = Dynamic.Tekla.Structures.Drawing.Rectangle.RectangleAttributes_.GetTSObject(attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Rectangle", args);
        }
Ejemplo n.º 19
0
        public Line(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point startPoint, Dynamic.Tekla.Structures.Geometry3d.Point endPoint, System.Double bulge)
        {
            var args = new object[4];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(startPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(endPoint);
            args[3]          = bulge;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Line", args);
        }
Ejemplo n.º 20
0
        public LevelMark(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, Dynamic.Tekla.Structures.Geometry3d.Point BasePoint, Dynamic.Tekla.Structures.Drawing.PlacingBase Placing, Dynamic.Tekla.Structures.Drawing.LevelMark.LevelMarkAttributes Attributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(BasePoint);
            args[3]          = Dynamic.Tekla.Structures.Drawing.PlacingBase_.GetTSObject(Placing);
            args[4]          = Dynamic.Tekla.Structures.Drawing.LevelMark.LevelMarkAttributes_.GetTSObject(Attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.LevelMark", args);
        }
Ejemplo n.º 21
0
        public AngleDimension(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point Origin, Dynamic.Tekla.Structures.Geometry3d.Vector Vector1, Dynamic.Tekla.Structures.Geometry3d.Vector Vector2, System.Double Distance)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Origin);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(Vector1);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(Vector2);
            args[4]          = Distance;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.AngleDimension", args);
        }
        public RadiusDimension(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint1, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint2, Dynamic.Tekla.Structures.Geometry3d.Point ArcPoint3, System.Double Distance)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint1);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint2);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(ArcPoint3);
            args[4]          = Distance;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.RadiusDimension", args);
        }
        public static Dynamic.Tekla.Structures.Model.Beam Split(
            Dynamic.Tekla.Structures.Model.Beam Object_,
            Dynamic.Tekla.Structures.Geometry3d.Point SplitPoint_)
        {
            var Object     = Dynamic.Tekla.Structures.Model.Beam_.GetTSObject(Object_);
            var SplitPoint = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(SplitPoint_);
            var result     = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Model.Operations.Operation", "Split", Object, SplitPoint);
            var _result    = Dynamic.Tekla.Structures.Model.Beam_.FromTSObject(result);

            return(_result);
        }
Ejemplo n.º 24
0
        public static Dynamic.Tekla.Structures.Geometry3d.Point PointToPlane(
            Dynamic.Tekla.Structures.Geometry3d.Point Point_,
            Dynamic.Tekla.Structures.Geometry3d.GeometricPlane Plane_)
        {
            var Point   = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(Point_);
            var Plane   = Dynamic.Tekla.Structures.Geometry3d.GeometricPlane_.GetTSObject(Plane_);
            var result  = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Geometry3d.Projection", "PointToPlane", Point, Plane);
            var _result = Dynamic.Tekla.Structures.Geometry3d.Point_.FromTSObject(result);

            return(_result);
        }
Ejemplo n.º 25
0
        public static Dynamic.Tekla.Structures.Drawing.PlacingBase BaseLinePlacing(
            Dynamic.Tekla.Structures.Geometry3d.Point StartPoint_,
            Dynamic.Tekla.Structures.Geometry3d.Point EndPoint_)
        {
            var StartPoint = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(StartPoint_);
            var EndPoint   = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(EndPoint_);
            var result     = MethodInvoker.InvokeStaticMethod("Tekla.Structures.Drawing.PlacingTypes", "BaseLinePlacing", StartPoint, EndPoint);
            var _result    = Dynamic.Tekla.Structures.Drawing.PlacingBase_.FromTSObject(result);

            return(_result);
        }
        public HyperLink(Dynamic.Tekla.Structures.Drawing.ViewBase View, Dynamic.Tekla.Structures.Geometry3d.Point InsertionPoint, System.Uri Target, System.String Text, Dynamic.Tekla.Structures.Drawing.Size Size)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(View);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(InsertionPoint);
            args[2]          = Target;
            args[3]          = Text;
            args[4]          = Dynamic.Tekla.Structures.Drawing.Size_.GetTSObject(Size);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.HyperLink", args);
        }
Ejemplo n.º 27
0
        public Arc(Dynamic.Tekla.Structures.Geometry3d.Point centerPoint, Dynamic.Tekla.Structures.Geometry3d.Vector startDirection, Dynamic.Tekla.Structures.Geometry3d.Vector startTangent, System.Double radius, System.Double deltaAngleRadians)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(centerPoint);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(startDirection);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Vector_.GetTSObject(startTangent);
            args[3]          = radius;
            args[4]          = deltaAngleRadians;
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Geometry3d.Arc", args);
        }
Ejemplo n.º 28
0
        public Arc(Dynamic.Tekla.Structures.Drawing.ViewBase inView, Dynamic.Tekla.Structures.Geometry3d.Point StartPoint, Dynamic.Tekla.Structures.Geometry3d.Point EndPoint, Dynamic.Tekla.Structures.Geometry3d.Point CenterPoint, Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes inAttributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(inView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(StartPoint);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(EndPoint);
            args[3]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(CenterPoint);
            args[4]          = Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Arc", args);
        }
Ejemplo n.º 29
0
        public Arc(Dynamic.Tekla.Structures.Drawing.ViewBase inView, Dynamic.Tekla.Structures.Geometry3d.Point inPoint1, Dynamic.Tekla.Structures.Geometry3d.Point inPoint2, System.Double inRadius, Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes inAttributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(inView);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint1);
            args[2]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(inPoint2);
            args[3]          = inRadius;
            args[4]          = Dynamic.Tekla.Structures.Drawing.Arc.ArcAttributes_.GetTSObject(inAttributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.Arc", args);
        }
        public TextFile(Dynamic.Tekla.Structures.Drawing.ViewBase view, Dynamic.Tekla.Structures.Geometry3d.Point insertionPoint, System.String fileName, Dynamic.Tekla.Structures.Drawing.Size size, Dynamic.Tekla.Structures.Drawing.TextFile.TextFileAttributes attributes)
        {
            var args = new object[5];

            args[0]          = Dynamic.Tekla.Structures.Drawing.ViewBase_.GetTSObject(view);
            args[1]          = Dynamic.Tekla.Structures.Geometry3d.Point_.GetTSObject(insertionPoint);
            args[2]          = fileName;
            args[3]          = Dynamic.Tekla.Structures.Drawing.Size_.GetTSObject(size);
            args[4]          = Dynamic.Tekla.Structures.Drawing.TextFile.TextFileAttributes_.GetTSObject(attributes);
            this.teklaObject = TSActivator.CreateInstance("Tekla.Structures.Drawing.TextFile", args);
        }